Bug 24576 - StoreLastBorrower preference is in the wrong tab and is confusing
Summary: StoreLastBorrower preference is in the wrong tab and is confusing
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-04 09:07 UTC by Martin Renvoize
Modified: 2020-05-16 16:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24576: `StoreLastBorrower` preference is in the wrong tab and is confusing (2.58 KB, patch)
2020-02-14 17:40 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24576: `StoreLastBorrower` preference is in the wrong tab and is confusing (2.62 KB, patch)
2020-02-14 18:17 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 24576: `StoreLastBorrower` preference is in the wrong tab and is confusing (2.68 KB, patch)
2020-02-15 08:51 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-02-04 09:07:35 UTC
As far as I can make out, the `StoreLastBorrower` preference is available to allow staff to track down who may have returned an item last when said item is found to be damaged or lost even when privacy policy or patron privacy settings are set to anonymize checkout history.

As such, I feel this setting would be better placed under the `Circulation`, `Logs` or `Staff client` tabs with a clearer explanation for it's use.
Comment 1 David Roberts 2020-02-14 17:40:23 UTC
Created attachment 98990 [details] [review]
Bug 24576: `StoreLastBorrower` preference is in the wrong tab and is confusing

This patch moves the preference from OPAC/Privacy to Circulation/Check
In

To Test:

1) Apply the patch
2) Check that the system preference no longer displays under the OPAC
Privacy tab
3) Check that it now displays in the Circulation tab, under the Check In
policy
4) Ensure that the system preference can be changed and saved correctly.
Comment 2 David Roberts 2020-02-14 17:42:43 UTC
I feel that any clarification to the use of this system preference would be better documented in more / greater detail in the manual, rather than in the system preference itself so I haven't changed the description at all.
Comment 3 Liz Rea 2020-02-14 18:17:47 UTC
Created attachment 99001 [details] [review]
Bug 24576: `StoreLastBorrower` preference is in the wrong tab and is confusing

This patch moves the preference from OPAC/Privacy to Circulation/Check
In

To Test:

1) Apply the patch
2) Check that the system preference no longer displays under the OPAC
Privacy tab
3) Check that it now displays in the Circulation tab, under the Check In
policy
4) Ensure that the system preference can be changed and saved correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Katrin Fischer 2020-02-15 08:51:18 UTC
Created attachment 99056 [details] [review]
Bug 24576: `StoreLastBorrower` preference is in the wrong tab and is confusing

This patch moves the preference from OPAC/Privacy to Circulation/Check
In

To Test:

1) Apply the patch
2) Check that the system preference no longer displays under the OPAC
Privacy tab
3) Check that it now displays in the Circulation tab, under the Check In
policy
4) Ensure that the system preference can be changed and saved correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-02-15 08:51:52 UTC
Makes much more sense, thx!
Comment 6 Martin Renvoize 2020-02-17 11:32:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-03-05 01:35:34 UTC
enhancement not pushed to 19.11.x